import 'package:flutter_helper/src/Models/Item.dart';

class ItemMap {
  final List<Item> fromItems;

  ItemMap({
    this.fromItems
  }) {
    final Map<String, dynamic> json = fromItems.first.object.toJson();

    for (var i = 0; i < fromItems.length; i++) {
      final data = fromItems[i].controller.data;

      if (data == null) {
        json[json.keys.toList()[i]] = 0.0;
      } else {
        json[json.keys.toList()[i]] = fromItems[i].controller.data;
      }
    }

    map = json;
  }

  Map map;
}